<?php

/* The Chat class exploses public static methods, used by ajax.php */

class Seven{
	    
    public static function getComprobantes( $ruc_dni )
    {
        $id_cliente = SevenComprobante::getIdCliente($ruc_dni);    

        $comprobante = new SevenComprobante(array());
        $datos = $comprobante->getComprobantes($id_cliente);
        $facturas = array();
       
        while($comprobante = $datos->fetch_object())
        {
            $facturas[] = $comprobante;
        }
        
        return array('comprobantes'  => $facturas);
    }

    public static function getComprobante( $ruc_dni, $documento )
    {
        $id_cliente = SevenComprobante::getIdCliente($ruc_dni);    

        $comprobante = new SevenComprobante(array());
        $datos = $comprobante->getComprobante($id_cliente, $documento);
        $facturas = array();
       
        while($comprobante = $datos->fetch_object())
        {
            $facturas[] = $comprobante;
        }
        
        return array('comprobantes'  => $facturas);
    }


    public static function getRegistrar($ruc, $subdominio, $nombre_bd)
    {
        $instancia = new SevenRegistrar(array(
            'ruc'        => $ruc,
            'subdominio' => $subdominio,
            'nombre_bd'  => $nombre_bd
        ));
                
        if( $instancia->insertar($ruc,$subdominio,$nombre_bd)->affected_rows != 1 ){
            throw new Exception('Error al registrar!');
        }
                    
        return array(
            'msg'   => "correcto"               
        );
    }

    public static function getEmpresa($ruc)
    {
        $instancia = new SevenRegistrar(array());
        $result = $instancia->getEmpresa($ruc);
        $datos = array();
        while($dato = $result->fetch_object())
        {
            $datos[] = $dato;
        }
        
        return array('msg'  => $datos);
    }

    public static function getEmpresas()
    {
        $instancia = new SevenRegistrar(array());
        $result = $instancia->getEmpresas();
        $datos = array();
        while($dato = $result->fetch_object())
        {
            $datos[] = $dato;
        }
        
        return array('msg'  => $datos);
    }

}
















?>